Ubuntu

168c:002b [HP Pavilion DV6] Extremely slow & unstable

Reported by Luca Manzari on 2011-04-29
230
This bug affects 46 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I just did a fresh install of Ubuntu 11.04 64-bit on my hp pavilion dv6, everything worked out of the box except for the Atheros AR9285, which used to work like a charm on 2.6.35 kernels.
It connects to every kind of wifi network, but after a few minutes connection became unstable, and is slow as hell - unusable.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: luca 1243 F.... pulseaudio
CRDA: Error: [Errno 2] File o directory non esistente
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4100000 irq 47'
   Mixer name : 'IDT 92HD81B1X5'
   Components : 'HDA:111d7605,103c1448,00100402'
   Controls : 14
   Simple ctrls : 9
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xd4020000 irq 48'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Fri Apr 29 13:27:14 2011
HibernationDevice: RESUME=UUID=407c0fec-cb9c-4593-b67a-496b1a412ad7
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110426)
Lsusb:
 Bus 002 Device 003: ID 064e:f209 Suyin Corp.
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
ProcEnviron:
 LANGUAGE=it_IT:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=1243281a-8314-4655-9cb8-38d9fcfdf041 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/14/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.13
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 1448
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 65.2E
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.13:bd09/14/2010:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvr059B110000243010010020100:rvnHewlett-Packard:rn1448:rvr65.2E:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: 059B110000243010010020100
dmi.sys.vendor: Hewlett-Packard

Luca Manzari (manzariluca) wrote :
Luca Manzari (manzariluca) wrote :
mbz99 (mbz-99) wrote :

I have hp dm3, and wireless card is,
ath9k 103633 0
mac80211 257001 1 ath9k
ath9k_common 13611 1 ath9k
ath9k_hw 300328 2 ath9k,ath9k_common
ath 19141 2 ath9k,ath9k_hw
cfg80211 156212 3 ath9k,mac80211,ath

in ubuntu 10.10, after installing linux-backports-modules-wireless-maverick, it work fine, but the package doesn't exist in natty.

Jeffrey Seguerra (jepong) wrote :

i think there is a package called linux-backports-modules-net-natty-generic.

i notice i don't need the package anymore with my AR9285 but I notice I can no longer used my laptop inside my bedroom. My access point is located downstairs which works great in maverick using compat-wireless.

Jussi Judin (barro) wrote :

I also have problems with speed with this wireless adapter after upgrading to Ubuntu 11.04. I have noticed that if I download data with 1 TCP connection, I usually get speeds something like 10-200 kilobytes/second (by using netcat on same local network) but if I start second TCP connection and download, then the total throughput rises to 4-5 megabytes/second. And if I kill one of those downloads, the speed of the remaining TCP stream drops back to slow speeds after a few seconds. Also there are situations when the total download speed drops for a few seconds when transferring data with 2 TCP connections but usually it keeps at 4-5 megabytes/second.

Brad Figg (brad-figg) on 2011-05-03
Changed in linux (Ubuntu):
status: New → Confirmed
John Lowe (johnlowesp) wrote :

Can confirm I have this bug too. Dual booting Windows/Ubuntu on a Samsung N150.

From speedtest.net, I get 25ms pings and 2Mbs downloads in Windows, but only 120ms pings and 0.5Mbs downloads in Ubuntu.

John Lowe (johnlowesp) wrote :

Sorry for the double post, but can also confirm that installing package linux-backports-modules-net-natty-generic has just increased download speeds by a factor of 10 and the network appears to have stopped dropping out on me. Looks like it has fixed the problem.

It is a very annoying problem with AR9285 driver in Ubuntu 11.04 for me, because it sometimes hangs my EeePC. It worked fine on previous Ubuntu release.

joe_d (joseph-d) wrote :

Hi have this exact problem with a Toshiba NB200 Netbook on Ubuntu 11.04 (64 bit) which has the Atheros AR9825 WiFi.

It basically works perfectly within 1-2 meters of the wireless hub but going into another room or a different floor renders the WiFi connection useless.

It should be noted that it works perfectly find using exactly the same hardware on WinXP.

So far, I have tried both the linux-backports-modules-net-natty-generic package and also compiling and installing the latest compat-wireless but to no avail.

Sergio (vulerak-8) wrote :

hi i have the same problem with a realtek RTL8191SEvA on ubuntu 11.04 (64bit).

 i use to transfer files from one pc to another using ssh and i have noticed as Jussi Judin said that if more than one TCP connection is active the download is much faster (25 MB/s faster or even more on a wired connection).

I tried to switch to the 2.6.39 kernel but on it the wifi doesn't work at all.

hope to fix it asap.

Greg Odero-Jowi (ojgreg) wrote :

I can confirm I'm experiencing the same issue with a new Acer notebook with the Atheros AR9285 wireless controller.

cetex (cetex) wrote :

i can also confirm this is a bug / regression on ubuntu 11.04 i386/686 - 2.6.38-8-generic
worked better (not perfect but close) on ubuntu 10.04, now it's almost unusable.

This is on a Asus Eee PC 1005PE with:
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

mike (mcalautt) wrote :
Download full text (3.6 KiB)

Has this problem been fixed for the AR9285 ?

I just bought a brand new Acer Aspire AS5733Z-4445 Intel Pentium P6100(2.00GHz) 15.6" 3GB Memory 320GB HDD Intel HD Graphics Notebook

installed the latest ubuntu 11.04.

Nothing shows up in a wireless scan and if I enter my access point info in manually it doesnt work.
also odd, sometimes iwlist scan returns info for wlan0 and sometimes it doesnt.

here is some info from my laptop.

 lshw -C Network

 *-network
       description: Wireless interface
       product: AR9285 Wireless Network Adapter (PCI-Express)
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlan0
       version: 01
       serial: 68:a3:c4:b8:7f:39
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath9k driverversion=2.6.38-10-generic firmware=N/A latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
       resources: irq:17 memory:d2400000-d240ffff

nm-tool

 - Device: wlan0 ----------------------------------------------------------------
  Type: 802.11 WiFi
  Driver: ath9k
  State: disconnected
  Default: no
  HW Address: 68:A3:C4:B8:7F:39

  Capabilities:

  Wireless Properties
    WEP Encryption: yes
    WPA Encryption: yes
    WPA2 Encryption: yes

  Wireless Access Points
    carcass: Infra, 00:18:01:EF:6A:BA, Freq 2462 MHz, Rate 54 Mb/s, Strength 68 WPA WPA2

 lsmod
Module Size Used by
cryptd 20510 0
aes_x86_64 17208 0
aes_generic 38279 1 aes_x86_64
joydev 17606 0
parport_pc 36959 0
ppdev 17113 0
snd_hda_codec_realtek 336771 1
arc4 12529 2
snd_hda_intel 33211 2
snd_hda_codec 103804 2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 13604 1 snd_hda_codec
ath9k 116068 0
snd_pcm 96391 2 snd_hda_intel,snd_hda_codec
snd_seq_midi 13324 0
snd_rawmidi 30486 1 snd_seq_midi
snd_seq_midi_event 14899 1 snd_seq_midi
snd_seq 61621 2 snd_seq_midi,snd_seq_midi_event
binfmt_misc 17565 1
i915 514975 3
snd_timer 29602 2 snd_pcm,snd_seq
mac80211 296672 1 ath9k
snd_seq_device 14462 3 snd_seq_midi,snd_rawmidi,snd_seq
uvcvideo 72195 0
sparse_keymap 13898 0
snd 67382 13 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
ath9k_common 14069 1 ath9k
ath9k_hw 329532 2 ath9k,ath9k_common
ath 23779 2 ath9k,ath9k_hw
videodev 82052 1 uvcvideo
v4l2_compat_ioctl32 17078 1 videodev
drm_kms_helper 42136 1 i915
drm 227495 4 i915,drm_kms_helper
psmouse 73535 0
soundcore 12680 1 snd
intel_ips 18097 0
serio_raw 13166 0
snd_page_alloc ...

Read more...

cetex (cetex) wrote :

Still having the same problem.
Getting good throughput in short bursts.
maximizes my internet connection (4mbit) for about 30seconds to one minute, then drops to less than 500kbit/s.
connection quality is poor.
In the same room as the Accesspoint i have 5/5 on my HP 8510p with intel wifi card.
on the netbook with ar8295 i have 2/5. if i go to the next room i have 1/5, while still having 5/5 on the HP with intel card.

Kim huijung (eunha18) wrote :

Exactly same problem.

Still having the same problem.
Getting good throughput in short bursts.
maximizes my internet connection (4mbit) for about 30seconds to one minute, then drops to less than 500kbit/s.
connection quality is poor.
In the same room as the Accesspoint i have 5/5 on my HP 8510p with intel wifi card.
on the netbook with ar8295 i have 2/5. if i go to the next room i have 1/5, while still having 5/5 on the HP with intel card.

Peter S. (stoto) wrote :

I had exactly the same issue, tried to make compat-wireless without success.
However this simple solution solved my problem: http://blog.homelinux.org/?p=327

I just fresh-installed Ubuntu 11.10, and the problem still persists :(

summary: - Atheros AR9285 extremely slow & unstable on 11.04
+ Atheros AR9285 extremely slow & unstable still in 11.10
Joseph Salisbury (jsalisbury) wrote :

Just curious if you only see this issue when using wireless N protocol?

This may be a duplicate of bug 836250

tags: added: regression-release
Christopher (junkdubious) wrote :

I can confirm b/g mix being fine for Atheros AR9285 in my Asus G73JW. It does appear to be bug 836250.

Luca Manzari (manzariluca) wrote :

Guys YMMV but I don't believe is a duplicate of bug 836250, because I had this problem also on Ubuntu 11.04 :(

gill_za (gillza) wrote :
Download full text (7.4 KiB)

I can confirm the same problem:

I'm the happy owner of Asus G53sx-a1 laptop running 11.04 currently.
The original ath9k driver that is installed by default craps out on me every 5 minutes or so if I download stuff at max speed. So I have installed compact-wireless driver following:

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
wget http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-2.6.tar.bz2
tar -xjvf compat-wireless-2.6.tar.bz2
cd into_folder_that_was_created
./scripts/driver-select ath9k
make
sudo make install
sudo make unload
sudo modprobe ath9k
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------

With this the driver wlan is stable BUT the speeds are a half of what they are used to be.

Before I installed the compact wireless driver I tried the suggested:

code:

sudo ifconfig wlan0 down
sudo rmmod -f ath9k
sudo modprobe ath9k nohwcrypt=1
sudo ifconfig wlan0 up

No effect.

I have tried the same with the new compact-wireless driver with no improvement as well. I would appreciate any help or advice. Thank you:

cat /etc/lsb-release; uname -a
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.04
DISTRIB_CODENAME=natty
DISTRIB_DESCRIPTION="Ubuntu 11.04"
Linux user-asus 2.6.38-13-generic #53-Ubuntu SMP Mon Nov 28 19:23:39 UTC 2011 i686 i686 i386 GNU/Linux
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------

lspci -nnk | grep -iA2 net
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
03:00.0 Network controller [0280]: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
 Subsystem: AzureWave Device [1a3b:2c37]
 Kernel driver in use: ath9k
--
05:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 06)
 Subsystem: ASUSTeK Computer Inc. Device [1043:13b7]
 Kernel driver in use: r8169
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------

ifconfig
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
eth0 Link encap:Ethernet HWaddr 14:da:e9:36:00:8b
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)...

Read more...

Petteri S (petteri-suontama) wrote :

I have the same problem.

Computer: Asus N73S
Wlan: AR9285
ubuntu: 11.10 with 3.0.0-12-generic x86_64

WLAN is using WPA2.

Dual booting windows where the WLAN in working

Tube (tube68) wrote :

Same problem with Asus N53SV, wireless network extremely slow when trying to open internet page or making other network traffic. Wireless network will slow down extremely other machines too when this machine tries to open etc web page.

Wlan: same
Linux Mint 12 (3.0.0-12-generic) x86_64

willybones1234 (cwfox) wrote :

Don't know what it does, but the solution in #16 seems to have worked for me.

Petteri S (petteri-suontama) wrote :

#16 does not work for me.

Aaron Gibson (asgibsonua) wrote :

#16 has not worked for me either.

Aaron Gibson (asgibsonua) wrote :

I've noticed something.

I don't know if this helps, but when I moved the router next to my computer, my speeds went up dramatically, and I didn't have dropped connections. When I move the computer away from the router, the connection drops and becomes buggy.

This is still a bug and isn't related to the signal quality of the router because every other computer on the network stays connected with fast speed under the same circumstances (and signal quality).

What I think may be relevant to this problem is how the driver handles dropped packets. When the router is right next to my computer, there aren't any dropped connections, dropped packets, etc., and my connection runs fast.
When the computer is farther from the router, the chance of a dropped packet increases, hindering the connection. Of course, this is probabilistic, which is why the connection sometimes works for a short time before giving out.
Furthermore, the behavior of my internet browser might support this because when my connection does give out, it stalls. It's as if the browser was waiting for a packet that never came.

This is just an idea based on what I've observed, but it may be relevant.

summary: - Atheros AR9285 extremely slow & unstable still in 11.10
+ Atheros AR9285 extremely slow & unstable
tags: added: oneiric precise

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-18.28

This bug affect me.
https://bugs.launchpad.net/wireless-drivers/+bug/947697

My computer: Asus EeePC 1215B - APU AMD C-50, 2GB RAM.
Distro: Ubuntu 12.04 Beta 1 - 32-bit (64-bit the problem continues)
Kernel (uname -a): 3.2.0-18-generic-pae #28-Ubuntu SMP Fri Mar 2 22:11:12 UTC 2012 i686 athlon i386 GNU/Linux
Driver wireless: ath9k
produto: AR9285 Wireless Network Adapter (PCI-Express)
fabricante: Atheros Communications Inc.

In Windows 7 the signal is excellent, stable and strong. I use the netbook for every home, but in Ubuntu you can only connect a few meters away. In my university can not connect because the signal is too weak. In Windows 7 is okay. Everyone in my building at the university can connect very well with Windows. Who uses computer ath9k driver, no.

Just search on Google to know that everyone who uses Atheros AR9285 have problems, even with computer hardware certified by Canonical:
http://www.ubuntu.com/certification/catalog/component/pci:002B:168C-NETWORK

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-18.29
gui_link_mac (gui84mac) on 2012-03-10
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: atheros i386

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.3 kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[1] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc7-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
gui_link_mac (gui84mac) wrote :

Kernel 3.3.0-030300rc7 contains the same serious problem.

tags: added: kernel-request-3.3.0-030300rc7
tags: added: kernel-bug-exists-upstream
removed: kernel-request-3.3.0-030300rc7

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-19.30

This bug exists since the 11.04 version, at least. There are computers with Atheros and driver's ath9k* in the OEM Ubuntu market. It seems that this terrible bug, that makes unusable the computer, (after all, why will you want a mobile computer that can't connect to wireless?) isn't getting the properly attention.

(*) http://www.ubuntu.com/certification/catalog/component/pci:002B:168C-NETWORK

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-19.31

Still seeing this on precise beta2:

Linux r5k6 3.2.0-20-generic #33-Ubuntu SMP Tue Mar 27 16:42:26 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-21.34
gui_link_mac (gui84mac) on 2012-04-03
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-22.35
gui_link_mac (gui84mac) on 2012-04-16
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-23.36

This problem still persists in Ubuntu 12.04. It is probably related to the Linux kernel because it happens in a lot of other major distros.

I found a partial solution to my problem. I deactivated the B/G/N wireless mode of my router and enabled G mode only. Might work with N mode only, but I can't afford to do that because I have a device that relies on G mode.

The ath9k driver is broken and some people claim that disabling hardware encryption (how safe is that?) and power management of the wireless device will fix the problem.

As I have noticed, these changes might improve those that have an absolute poor performance or a not very fast Internet connection so they won't notice the lack of higher speeds. The problem must happen differently according to router settings so disabling the driver options might seem to be a fix to some.

In my opinion, the driver is broken, probably relying on undocumented reverse engineering, thus they are presenting problems when working with different routers and wireless modes.

Also, this bug has a lot of duplicates, like Bug #535222 which seems to be the first on posted.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Miek Gieben (miek) wrote :

I've upgraded to MainLine kernel 3.4.3 and so far (half an hour) it seems to work a lot better. This is after a restart. I still have to check how things work after a suspend/resume cycle.

Miek Gieben (miek) wrote :

Experience a disconnect (after suspend and resume). This was with power mgmt *on*. I'm now retrying with powermgmt *off*, (iwconfig wlan0 power off).

Miek Gieben (miek) wrote :

Well even with 3.4.3 it is not fully fixed. It seems better, my the problem is still there (disconnects).

Miek Gieben (miek) wrote :

Using ubuntu 12.04 with mainline kernel 3.5-rc3 works better. No more disconnects even with powermgmt. Its not 100% perfect, but a lot better.

Miek Gieben (miek) wrote :

Running 3.2.0-25 (stock ubuntu 12.04) kernel again with attach network-manager patch. This seems to solve the problem for me (i.e. sofar).

See attached patch for 0.9.4.0 of network manager.

Miek Gieben (miek) wrote :

OK, *another* follow-up. Installed wicd instead of network-manager. That works!

Reverted kernel back to 3.2.0-25 (i.e. stock), nohwcrypt is 0 (off).

The background scanning and the ath9k module are at the root of this problem, installing wicd is a work around.

Miek Gieben (miek) wrote :

And another one. In an Arch forum I saw someone mentioning compat-wireless Linux modules and you should install that.
Well I did that and that seems to fix things! I'm back to network-manager after a

sudo apt-get install linux-backports-modules-cw-3.3-3.2.0-26-generic && reboot

summary: - Atheros AR9285 extremely slow & unstable
+ 168c:002b Atheros AR9285 extremely slow & unstable
tags: added: bot-stop-nagging
removed: atheros kernel-request-3.2.0-18.28 kernel-request-3.2.0-18.29 kernel-request-3.2.0-19.30 kernel-request-3.2.0-19.31 kernel-request-3.2.0-21.34 kernel-request-3.2.0-22.35 kernel-request-3.2.0-23.36
tags: added: kernel-wifi
removed: kernel-bug-exists-upstream
tags: removed: precise
tags: added: precise

Luca Manzari, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Bernardofpc (bernardofpc) wrote :

I was hit by the ath9k issue after an upgrade.

I found this bug report after another one which was a duplicate, and I'm not really sure if it's really the same issue, but nonetheless here's my case:
- wireless network had a very strange "spiky" behaviour: sometimes it would have a burst of 500 k bytes (in one second, using dstat tool), then fall to some ridiculous 8B/s (yes, bytes per second) in a 5 second period. During a download from kernel.org. I tested it on windows, sometimes the rates would fluctuate and drop to some 200-ish kB/s, but to just resume back to 400 then sometimes 600.
- I first thought it could be a DNS issue (it seems *very* strange that 127.0.0.1 be a dns server for a laptop) but it was mostly alright
- more searches indicated the nohwcrypt=1 option in loading the ath9k module, and that gave me consistent and 500kB/s rates for the same kernel.org download. Of course I have (yet) no idea of the security / performance implications of that magic option

It would be nice to have an official "how to eeePc wifi ath9k", because it's probably easy but still it's better to see it in a Canonical place rather than on an obscure blog only referenced (but no address given) in bugs here.

Bernardpc, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette . If you do file a new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

gui_link_mac (gui84mac) on 2012-08-07
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Miek Gieben (miek) wrote :

I'm right now using: 3.5.0-11-generic #11~precise1-Ubuntu as a kernel. And that seems to make a big difference. Also just using network manager.

Miek Gieben (miek) wrote :

3.6-rc4 makes a *real* difference. Also disable IPv6 in network-manager (link-local only), it seems that it is also related to these disconnects.

gui_link_mac (gui84mac) wrote :

Kernel "3.6.0-999.201210130435" contains the same serious problem.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Miek Gieben (miek) wrote :

3.6.1 and 3.6.2 also don't completely fix the problem.

Miek Gieben / gui_link_mac, please see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/773154/comments/53 .

gui_link_mac, please stop toggling this report.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Rafael R. (rafael46w+ubuntu) wrote :

Bug still present in Ubuntu 12.10, with 3.5.0-23-generic kernel. My laptop model is Asus 1215B, with the following wireless card:

01:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

The connection works only when I'm a few meters from the router. If I go a little further, the connection keeps dropping. Also, I can only find one or two wireless stations, when there are around 10 in the area. Even my old Nokia phone can find more stations than my new laptop with Ubuntu 12.10.

It is a REALLY annoying bug. Please stop changing it status to Incomplete, because it is still there, and plenty of people should be suffering with it without even knowing that there is a bug.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Rafael R., if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
cdmihai (codobanmihai) wrote :

I have the same bug on Ubuntu 12.04 with an Asus N53SV. Atheros AR9285.

Petteri S (petteri-suontama) wrote :

I am using Asus N73SV and it is now working.

I changed my modem and now the wlan works without any hicups. I am pretty sure that I did not make any changes into the computer settings (other than selecting the new access point).

Old modem that had the problems: ZyXel P-660HW-D1 (ADSL)

New modem that works: ZyXel VMG3326-D20A (VDSL2)

Both modems are using WPA/WPA2.

cdmihai / Petteri S, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

summary: - 168c:002b Atheros AR9285 extremely slow & unstable
+ 168c:002b [HP Pavilion DV6] Extremely slow & unstable
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.